RCSZilla Versiunea 1.0

Stare coadă

Ghid de integrare aplicație mobilă

Stare coadă

GET /?endpoint=queue_status

Preia starea curentă a unui singur element din coada de ieșire. Util pentru sondare până la confirmarea livrării.

Parametri interogare

CâmpTipDescriere
idinteger obligatoriu ID-ul mesajului din coadă.

Exemplu cerere

cURL
curl "https://api.rcszilla.com/?endpoint=queue_status&id=101" \
  -H "Authorization: Bearer YOUR-DEVICE-TOKEN"

Răspuns

JSON200 OK
{
  "success": true,
  "id": "101",
  "status": "delivered",
  "sent_at": "2026-04-29 10:01:45",
  "failed_reason": null
}

Status Values

StatusDescriere
pendingWaiting to be picked up by a device.
processingClaimed by a device, currently being sent.
sentHanded off to the carrier.
deliveredCarrier delivery confirmation received.
failedSend failed. Check failed_reason.
cancelledCancelled by the user via the web panel.